Subject: Re: bug#16959: bug#16981: 24.3.50; electric-pair-delete-adjacent-pairs broken in c-mode, python-mode, maybe-others

From: Stefan <[email-masked]>
Date: Fri, 21 Mar 2014 17:47:55 -0400

>  - also link "in order to trace the calls to the process filter of a
> process" to "Filter Functions"

I find Texinfo links to be a bit heavy, so I prefer not to put too many
of them, so the reader can concentrate on the subject.  Process filters
are not really relevant.

>  - in the last paragraph ":above" should be ":around";

Fixed.

> the formatting "_advice_" is strange

That's how Texinfo renders @emph in Info.

> Core Advising Primitives:
>  - Should the WHERE specifications have their own node or section?

Sizewise, I fully agree, so I moved it to its own node/section.  I'm not
completely happy with the result, but I think it's better.

> In any case, I would move the second example (his-tracing-function) to
> the end of the list and explain it a little bit.

I'd rather keep the advice-add in the first node alongside the
add-function example, since as you say in many cases advice-add is what
the reader is really after.

>  - depth: clarify what happens when you have several pieces of ":override"
> or ":around" advice that doesn't call the original function at the depth 0.

I tried to clarify the notion of depth by spelling out what it means
for :after, :before and :override.

> Advising named functions:
>  - "Macros can also be advised": this doesn't work when the macro is used
> in a compiled function.

Of course it works.  The restriction is that the macro needs to be
advised before it is expanded.  I spelled it out now.

        Stefan